/****************************************************************************
 *                                                                          *
 *  c_sample.c                                                              *
 *                                                                          *
 *  A simple sample application which demonstrates how to use qsBarcode39   *
 *                                                                          *
 *  Version : 2.0.0.3                                                       * 
 *  Date    : 27-02-2007                                                    *
 *                                                                          *
 *  (c) QS QualitySoft GmbH - Zum Frstenmoor 11 - D-21079 Hamburg          *
 *      Phone: +49 40 79010040                Fax: +49 40 79010044          *
 *      Website: www.qualitysoft.de    E-mail: info@qualitysoft.de          *
 *                                                                          *
 ****************************************************************************/

#include <windows.h>
#include <stdio.h>

typedef int (WINAPI * CODE39_PROC)(char *, char *);

int main(int argc, char* argv[])
{
    HINSTANCE       hinstLib; 
    CODE39_PROC     ProcAdd; 
    BOOL            fFreeResult; 

    char            cFileName[512] = "\0";
    char            cResult[512] = "\0";
    int             iReturn = 0;


    if(argc < 2) return 0; //no bitmap filename in argv[1]
    
    strcpy(cFileName,argv[1]);

    hinstLib = LoadLibrary("qsBar39"); 
    if (hinstLib == NULL) return -1; //can't load lib

    ProcAdd = (CODE39_PROC) GetProcAddress(hinstLib, "ReadCode39"); 
    if (NULL == ProcAdd) return -1; //can't access Proc

    //dll Proc call
    iReturn = (ProcAdd) (cFileName, cResult); 
    printf("%s", cResult);

    fFreeResult = FreeLibrary(hinstLib); 
    
    return iReturn;
}
